Subject: Re: bug#51037: [PATCH] Make `print-level` & `print-length` customizable in ERT batch tests

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 27 Oct 2021 15:13:05 +0200

Michael <[email-masked]> writes:

> One thing: when I evaluate this:
>
>    (let ((print-length nil)
>          (print-level nil)
>          (backtrace-line-length nil))
>      (backtrace-to-string))
>
> I receive the following error message:
>
>    backtrace-print-frame: Wrong type argument:     number-or-marker-p,
>   nil
>
> I take it that is unexpected? It's fine if so, I'm happy to
> debug, I just want to be sure I'm not running off down the garden
> path.

nil should be a valid value for that variable, so it sounds like a bug.
Oddly enough, I'm not able to get a backtrace here...

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no